<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Gang](./bitburner.gang.md) &gt; [getAscensionResult](./bitburner.gang.getascensionresult.md)

## Gang.getAscensionResult() method

Get the result of an ascension without ascending.

**Signature:**

```typescript
getAscensionResult(memberName: string): GangMemberAscension | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  memberName | string | Name of member. |

**Returns:**

[GangMemberAscension](./bitburner.gangmemberascension.md) \| undefined

Object with info about the ascension results, or undefined if ascension is not possible.

## Remarks

RAM cost: 2 GB

Get a [GangMemberAscension](./bitburner.gangmemberascension.md) result for ascending a gang member without performing the ascension.

